<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for PaymentOptionSearch StructType
 * @subpackage Structs
 */
class PaymentOptionSearch extends SearchRecord
{
    /**
     * The basic
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\PaymentOptionSearchBasic
     */
    public $basic;
    /**
     * The transactionJoin
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\TransactionSearchBasic
     */
    public $transactionJoin;
    /**
     * Constructor method for PaymentOptionSearch
     * @uses PaymentOptionSearch::setBasic()
     * @uses PaymentOptionSearch::setTransactionJoin()
     * @param \StructType\PaymentOptionSearchBasic $basic
     * @param \StructType\TransactionSearchBasic $transactionJoin
     */
    public function __construct(\StructType\PaymentOptionSearchBasic $basic = null, \StructType\TransactionSearchBasic $transactionJoin = null)
    {
        $this
            ->setBasic($basic)
            ->setTransactionJoin($transactionJoin);
    }
    /**
     * Get basic value
     * @return \StructType\PaymentOptionSearchBasic|null
     */
    public function getBasic()
    {
        return $this->basic;
    }
    /**
     * Set basic value
     * @param \StructType\PaymentOptionSearchBasic $basic
     * @return \StructType\PaymentOptionSearch
     */
    public function setBasic(\StructType\PaymentOptionSearchBasic $basic = null)
    {
        $this->basic = $basic;
        return $this;
    }
    /**
     * Get transactionJoin value
     * @return \StructType\TransactionSearchBasic|null
     */
    public function getTransactionJoin()
    {
        return $this->transactionJoin;
    }
    /**
     * Set transactionJoin value
     * @param \StructType\TransactionSearchBasic $transactionJoin
     * @return \StructType\PaymentOptionSearch
     */
    public function setTransactionJoin(\StructType\TransactionSearchBasic $transactionJoin = null)
    {
        $this->transactionJoin = $transactionJoin;
        return $this;
    }
}
